Bug 526648 - virt-manger's "New VM" window disappears when connection expander is closed
virt-manger's "New VM" window disappears when connection expander is closed
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516995 F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-10-01 05:40 EDT by Michal Nowak
Modified: 2013-03-07 21:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 18:51:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-10-01 05:40:18 EDT
Description of problem:

When you have "localhost (QEMU)" ExpandBar expanded to see all the VMs, try to add new VM via "New VM" wizard. Then try to collapse the ExpandBar and the "New VM" window disappears immediately. 

Version-Release number of selected component (if applicable):

virt-manager-0.8.0-6.fc12.noarch

How reproducible:

always

Expected results:

"New VM" window should stay where it is
Comment 1 Mark McLoughlin 2009-10-02 11:36:13 EDT
(In reply to comment #0)

> "New VM" window should stay where it is  

It should indeed!

Nice bug, fully reproducible
Comment 2 Cole Robinson 2009-12-01 20:48:58 EST
This is actually an oooold 'feature'. Collapsing the row puts the connection into a 'paused' state that doesn't do any polling, but as a side effect you can't do anything with the connection, it just doesn't need to be reopened. So when the conn is paused, we attempt to hide all connection dependent windows.

Nowadays the benefit is dubious, not relevant for the majority of users anyways, and the behavior is certainly nonobvious. So I've removed it upstream:

http://hg.fedorahosted.org/hg/virt-manager/rev/8360edbf1af6
Comment 3 Cole Robinson 2009-12-03 18:51:03 EST
This should be fixed in virt-manager-0.8.1-1.fc13 which will be in the next rawhide compose.

Note You need to log in before you can comment on or make changes to this bug.